## clod 1.0.2

=== Makefile ===
all: test

MODULES := clod
LUA_VER := 5.1

PREFIX ?= /usr/local

INST_BASE := $(PREFIX)
INST_ROOT := $(DESTDIR)$(INST_BASE)/share/lua/$(LUA_VER)

MOD_FILES := $(patsubst %,%.lua,$(subst .,/,$(MODULES)))

install:
	mkdir -p $(INST_ROOT)
	for MOD in $(sort $(MOD_FILES)); do \
		cp lib/$${MOD} $(INST_ROOT)/$${MOD}; \
	done

LUA := LUA_PATH="$(shell pwd)/lib/?.lua;$(shell pwd)/extras/luacov/src/?.lua;;" lua$(LUA_VER)

clean:
	$(RM) luacov.report.out luacov.stats.out
	$(RM) -r html

distclean: clean
	find . -name "*~" -delete

.PHONY: example
example:
	$(LUA) example/simple-config-reader.lua
	$(LUA) example/change-setting.lua
	$(LUA) example/config-passthru.lua

.PHONY: test
test:
	@$(RM) luacov.stats.out
	@ERR=0; \
	for MOD in $(sort $(MODULES)); do \
		echo -n "$${MOD}: "; \
		$(LUA) test/test-$${MOD}.lua; \
		test "x$$?" = "x0" || ERR=1; \
	done; \
	$(LUA) extras/luacov/src/bin/luacov -X luacov. -X test. $(MODULES); \
	exit $$ERR

.PHONY: interactive
interactive:
	$(LUA) -e'clod=require"clod"' -i

doc:
	@ldoc .

=== debian/changelog ===
clod (1.0.2-3) unstable; urgency=medium

  * Support SOURCE_DATE_EPOCH in rules since ldoc doesn't do it by default

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Thu, 27 Oct 2016 15:12:49 +0900

clod (1.0.2-2) unstable; urgency=medium

  * Mark packages as 'Multi-Arch: foreign'

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Wed, 12 Oct 2016 20:51:37 +0900

clod (1.0.2-1) unstable; urgency=medium

  * New upstream release, setting licence terms to ISC properly
  * Correct debian/copyright which was incorrectly labelling BSD
    as ISC by using new upstream ISC licence text correctly.
  * Also label packaging content as under the ISC licence since that seems
    simple, correcting slightly non-free terms previously used.  Thanks to
    Thorsten Alteholz for spotting all of the above and raising it.
    (Closes: #840382)

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Tue, 11 Oct 2016 14:07:13 +0900

clod (1.0.1-1) unstable; urgency=medium

  * Initial packaging of Clod as a separate project. (Closes: #839699)

 -- Daniel Silverstone <dsilvers@digital-scurf.org>  Tue, 04 Oct 2016 11:02:47 +0900

=== debian/control ===
Source: clod
Section: interpreters
Priority: optional
Maintainer: Daniel Silverstone <dsilvers@digital-scurf.org>
Build-Depends: debhelper (>= 9.20120909~), dh-lua, lua-ldoc, lua-discount
Standards-Version: 3.9.8
Homepage: https://www.gitano.org.uk/clod/

Package: lua-clod
Architecture: all
Depends: ${misc:Depends}
Provides: ${lua:Provides}
XB-Lua-Versions: ${lua:Versions}
Multi-Arch: foreign
Description: Configuration Language Organised (by) Dots
 Clod is a configuration language written in Lua which implements a simple
 dotted key/value pair system which tries to keep programmatic edits in-line
 with what humans would do in a similar situation.

Package: lua-clod-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Documentation for lua-clod
 Clod is a configuration language written in Lua which implements a simple
 dotted key/value pair system which tries to keep programmatic edits in-line
 with what humans would do in a similar situation.
 .
 This package contains the documentation on how to use the Clod library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_build:
	dh_auto_build
	ldoc --date "$(SOURCE_DATE_EPOCH)" .

override_dh_auto_clean:
	dh_auto_clean
	$(RM) -r html

=== debian/watch ===
version=3
https://git.gitano.org.uk/clod.git /clod\.git/snapshot/clod-(.+)\.tar.bz2
